package com.ssj.service.conch.opentest.dto;

import java.io.Serializable;
import java.util.List;

/**
 * @author Mount Liu
 */
public class ResultDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 分数
     */
    private int score;
    /**
     * 用时（示例：”12:09”）
     */
    private String time;
    /**
     * 用时（秒）
     */
    private Integer duration;
    /**
     * 正确率超过
     */
    private String accuracyExceed;
    /**
     * 速度超过
     */
    private String speedExceed;
    /**
     * 版本
     */
    private String version;
    /**
     * 年级
     */
    private String grade;
    /**
     * 科目
     */
    private String subject;
    /**
     * 学期
     */
    private String semester;
    /**
     * 类型（1：学前，2：单元）
     */
    private Integer type;
    /**
     * 单元
     */
    private String unit;
    /**
     * 题目列表
     */
    private List<Question> list;

    public class Question implements Serializable {
        private static final long serialVersionUID = 1L;
        /**
         * 题号
         */
        private int questionNo;
        /**
         * 题目id
         */
        private String questionId;
        /**
         * 题目
         */
        private String question;
        /**
         * 知识模块
         */
        private String module;
        /**
         * 正确答案
         */
        private String rightAnswer;
        /**
         * 我的答案
         */
        private String myAnswer;
        /**
         * 选项列表
         */
        private List<Option> optionList;

        public class Option implements Serializable {
            private static final long serialVersionUID = 1L;

            /**
             * 选项(A/B/C/D)
             */
            private String option;
            /**
             * 选项内容(图片路径或文本)
             */
            private String value;

            public String getOption() {
                return option;
            }

            public void setOption(String option) {
                this.option = option;
            }

            public String getValue() {
                return value;
            }

            public void setValue(String value) {
                this.value = value;
            }
        }

        public int getQuestionNo() {
            return questionNo;
        }

        public void setQuestionNo(int questionNo) {
            this.questionNo = questionNo;
        }

        public String getQuestionId() {
            return questionId;
        }

        public void setQuestionId(String questionId) {
            this.questionId = questionId;
        }

        public String getQuestion() {
            return question;
        }

        public void setQuestion(String question) {
            this.question = question;
        }

        public String getModule() {
            return module;
        }

        public void setModule(String module) {
            this.module = module;
        }

        public String getRightAnswer() {
            return rightAnswer;
        }

        public void setRightAnswer(String rightAnswer) {
            this.rightAnswer = rightAnswer;
        }

        public String getMyAnswer() {
            return myAnswer;
        }

        public void setMyAnswer(String myAnswer) {
            this.myAnswer = myAnswer;
        }

        public List<Option> getOptionList() {
            return optionList;
        }

        public void setOptionList(List<Option> optionList) {
            this.optionList = optionList;
        }
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public String getAccuracyExceed() {
        return accuracyExceed;
    }

    public void setAccuracyExceed(String accuracyExceed) {
        this.accuracyExceed = accuracyExceed;
    }

    public String getSpeedExceed() {
        return speedExceed;
    }

    public void setSpeedExceed(String speedExceed) {
        this.speedExceed = speedExceed;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public List<Question> getList() {
        return list;
    }

    public void setList(List<Question> list) {
        this.list = list;
    }

    public Integer getDuration() {
        return duration;
    }

    public void setDuration(Integer duration) {
        this.duration = duration;
    }

    public int getScore() {
        return score;
    }

    public void setScore(int score) {
        this.score = score;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getSemester() {
        return semester;
    }

    public void setSemester(String semester) {
        this.semester = semester;
    }
}
